import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import TableSortContainer from '@overflow/temp/react/components/TableSortContainer';
import WebSocketRPC from '@overflow/commons/websocket/WebSocketRPC';
import AppContext from '@overflow/commons/context';
import inject from '@overflow/commons/context/decorator/inject';

class TableSortView extends React.Component<RouteComponentProps<object>, object> {

  private client: WebSocketRPC;

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);

    let con = AppContext.get<WebSocketRPC>();
  }

  public render(): JSX.Element {
    return (
      <TableSortContainer/>
    );
  }
}


export default TableSortView;
